Несколько уязвимостей в vlbook

Дата публикации:
02.05.2008
Всего просмотров:
906
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-2072
CVE-2008-2073
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
vlbook 1.x
Уязвимые версии: vlbook 1.21, возможно другие версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "l" в сценарии include/global.inc.php. Удаленный пользователь может с помощью специально сформированного запроса просмотреть содержимое произвольных файлов на системе. Пример:

http://[host]/include/global.inc.php?l=../../../[FILE NAME]%00

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "l" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host]/?l=" <script>alert('xss')</script>

URL производителя: vlbook.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA